
<html>
  <head>
   
<style> 
#example1 {
  background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
  height: 100vh;
  width: 100%;
  background-size: cover;
  background-repeat: no repeat;
  background-position: center;
  background-attachment: fixed;
  padding: 20px;
  margin: auto;

}
</style>
</head>
<body>
<div id="example1">
    <div style="text-align: right" style="float: right" >
        <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png"  class="izquierda"></h2>
    </div>
    <h1> </h1>
  <h1 class="test1">LISTA DE EMPRESAS</h1>
 
  <hr class="bordes"/>
  <div class="row ">
   
    <p-table  class="ex2" #dt [columns]="cols" [value]="empresas" [paginator]="true" (onRowSelect)="onRowSelect($event)"
        [rows]="10" [filterDelay]="400" selectionMode="single" [(selection)]="empresaseleccionado"
        dataKey="idEmpresa" [style]="{'margin-left':'40px'}"   >
         <ng-template pTemplate="caption">
            Módulos
        </ng-template>
        <ng-template pTemplate="caption">
            <div style="text-align: right">
                <i class="fa fa-search" style="margin:6px 6px 0 0"></i>
                <input type="text" pInputText size="50" placeholder="Busqueda"
                    (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto" />
            </div>
        </ng-template>
        <ng-template pTemplate="header" let-columns>
            <tr>
                <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                    {{ col.header }}
                    <p-sortIcon [field]="col.field"></p-sortIcon>
                </th>
            </tr>
        </ng-template>
        
        <ng-template pTemplate="body" let-rowData let-columns="columns">
            <tr [pSelectableRow]="rowData">
                <td *ngFor="let col of columns">
 
                   {{ rowData[col.field] }}
                </td>
            </tr>
        </ng-template>
        <ng-template pTemplate="summary" let-rowData>
            <div style="text-align:right">
                <button type="button" pButton icon="fa fa-plus" (click)="showDialogToAdd()"
                    label="Nuevo"></button>
                <button type="button" pButton icon="fa fa-trash" (click)="borrar(idEmpresa)" label="Borrar"></button>
                <button type="button"  pButton icon="fa fa-edit" (click)="showDialogToEdit()"
                    label="Editar"></button>
                <!-- <button type="button" pButton icon="fa fa-refresh" (click)="listar()"
                    label="Actualizar">Actualizar</button> -->

            </div>
        </ng-template>
    </p-table>
    <p-dialog header="EMPRESA" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"
        [style]="{ width: '400px' }">
       

        <div class="col-md-8 mt-4">
            <form #form="ngForm" *ngIf="empresa">
         <!--<div class="ui-g ui-fluid" *ngIf="empresa">-->

                <div class="form-group">
                    <label for="" class="col-form-label-sm">Ruc:</label>
                    <input type="text" required class="form-control " placeholder="Ingrese el ruc empresa"
                        name="ruc" #ruc="ngModel" required [(ngModel)]="empresa.ruc"  pKeyFilter="int" maxlength="13" />

                    <h6 *ngIf="ruc.hasError('required') && ruc.touched" class="input-error">Campo obligatorio</h6>
                </div>

                <div class="form-group">
                    <label for="" class="col-form-label-sm">Nombre:</label>
                    <input type="text" required class="form-control " placeholder="Ingrese el nombre de la empresa"
                        name="nombre" #nombre="ngModel" required [(ngModel)]="empresa.nombre" />
                    <h6 *ngIf="nombre.hasError('required') && nombre.touched" class="input-error">Campo obligatorio
                    </h6>
                </div>
                <div class="form-group">
                    <label for="" class="col-form-label-sm">Descripcion:</label>
                    <input type="text" required class="form-control" name="descripcion"
                        [(ngModel)]="empresa.descripcion" placeholder="Ingrese breve descripcion"
                        #descripcion="ngModel">
                    <h6 *ngIf="descripcion.hasError('required') && descripcion.touched" class="input-error">Campo
                        obligatorio</h6>
                </div>

                <div class="form-group">
                    <label for="" class="col-form-label-sm">Dirección:</label>
                    <input type="text" required class="form-control" name="direccion"
                        [(ngModel)]="empresa.direccion" placeholder="Ingrese dirección de la empresa"
                        #direccion="ngModel">
                    <h6 *ngIf="direccion.hasError('required') && direccion.touched" class="input-error">Campo
                        obligatorio</h6>
                </div>

                <div class="form-group">
                    <label for="" class="col-form-label-sm">Teléfono:</label>
                    <input type="text" required class="form-control" name="telefono" [(ngModel)]="empresa.telefono"
                        placeholder="Ingrese teléfono de la empresa" #telefono="ngModel"pKeyFilter="int">
                    <h6 *ngIf="telefono.hasError('required') && telefono.touched" class="input-error">Campo
                        obligatorio</h6>
                </div>
                <div class="form-group">
                    <label for="" class="col-form-label-sm">Correo:</label>
                    <input type="text" required class="form-control" name="correo" [(ngModel)]="empresa.correo"
                        placeholder="Ingrese correo de la empresa" #correo="ngModel" pKeyFilter="email" ngModel
                                [email]="true">
                    <h6 *ngIf="correo.hasError('required') && correo.touched" class="input-error">Campo obligatorio
                    </h6>
                     <div *ngIf="correo.errors">Debe ser un correo valido</div>
                </div>
                <div class="form-group">
                    <label for="" class="col-form-label-sm">Representante:</label>
                    <input type="text" required class="form-control" name="representante" [(ngModel)]="empresa.representante"
                        placeholder="Ingrese representante de la Empresa" #representante="ngModel">
                    <h6 *ngIf="representante.hasError('required') && representante.touched" class="input-error">Campo
                        obligatorio</h6>
                </div>
             

                <div class="text-center form-row justify-content-around">
                    <div class="col-5">
                        <button class="btn btn-danger" (click)="cerrar()">Cancelar</button>
                    </div>
                    <div class="col-5">
                        <button class="btn btn-success" [disabled]="form.invalid"
                            (click)="btnGuardar()">Guardar</button>
                    </div>
                </div>
            </form>
        
        </div>
    </p-dialog>
</div>
</div>
</body>
</html>
